Bug 1492377 - tgtd (iscsi initiator service) fails to start due to SELinux denial
Summary: tgtd (iscsi initiator service) fails to start due to SELinux denial
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 27
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1598233 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-17 00:45 UTC by Adam Williamson
Modified: 2018-08-08 15:33 UTC (History)
9 users (show)

Fixed In Version: selinux-policy-3.13.1-284.37.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1598233 (view as bug list)
Environment:
Last Closed: 2018-08-08 15:33:56 UTC
Type: Bug


Attachments (Terms of Use)

Description Adam Williamson 2017-09-17 00:45:51 UTC
On current Fedora 26, trying to start tgtd.service (the iscsi initiator, i.e. 'server', service) fails due to an SELinux denial:

Sep 16 12:12:06 support.domain.local systemd[1]: Starting tgtd iSCSI target daemon...
Sep 16 12:12:06 support.domain.local audit[1135]: AVC avc:  denied  { create } for  pid=1135 comm="tgtd" name="tgtd" scontext=system_u:system_r:tgtd_t:s0 tcontext=system_u:object_r:var_run_t:s0 tclass=dir permissive=0
Sep 16 12:12:06 support.domain.local tgtd[1135]: (null): ipc_init(781) failed to open lock file for management IPC
Sep 16 12:12:06 support.domain.local systemd[1]: tgtd.service: Main process exited, code=exited, status=1/FAILURE
Sep 16 12:12:11 support.domain.local tgtadm[1137]: tgtadm: failed to send request hdr to tgt daemon, Transport endpoint is not connected
Sep 16 12:12:11 support.domain.local audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=tgtd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=failed'
Sep 16 12:12:11 support.domain.local systemd[1]: tgtd.service: Control process exited, code=exited status=107
Sep 16 12:12:11 support.domain.local systemd[1]: Failed to start tgtd iSCSI target daemon.
Sep 16 12:12:11 support.domain.local systemd[1]: tgtd.service: Unit entered failed state.
Sep 16 12:12:11 support.domain.local systemd[1]: tgtd.service: Failed with result 'exit-code'.

Looks like it's trying to create a file in /var/run and being denied. This is interfering with openQA tests, as we need to run an iSCSI server.

Comment 1 Joshua Roys 2017-09-20 02:00:26 UTC
I have this issue also.

Quick fix:
$ cat /etc/tmpfiles.d/tgtd.conf 
D    /var/run/tgtd 0750 root root -

Comment 2 Fedora End Of Life 2018-05-03 08:02:14 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2018-05-29 12:22:01 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Adam Williamson 2018-07-04 20:23:02 UTC
*** Bug 1598233 has been marked as a duplicate of this bug. ***

Comment 5 Adam Williamson 2018-07-04 20:24:27 UTC
Per 1598233 this is still happening on at least 27. It's probably still happening on 28, but I haven't tested my case with the workaround removed to check for sure.

Comment 6 Fedora Update System 2018-07-27 09:22:43 UTC
selinux-policy-3.13.1-284.37.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-4bb4de2d86

Comment 7 Fedora Update System 2018-07-27 15:39:05 UTC
selinux-policy-3.13.1-284.37.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-4bb4de2d86

Comment 8 Fedora Update System 2018-08-08 15:33:56 UTC
selinux-policy-3.13.1-284.37.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.